<template>
  <div :id="`server-tooltip-${index}`">
    <div class="server-details">
      <div class="data"><i class="server-icon" :class="server.icon"></i> {{ server.name }}</div>
      <div class="desc">{{ server.desc }}</div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';
import { ServerStoreState } from '../types';

@Component
export default class ServerTooltip extends Vue {
  @Prop() private server!: ServerStoreState;
  @Prop(Number) private index!: number;
}
</script>
